apiVersion: apps/v1
kind: Deployment
metadata:
  name: lazylibrarian
  namespace: stack-arr
spec:
  replicas: 1
  selector:
    matchLabels:
      app: lazylibrarian
  template:
    metadata:
      labels:
        app: lazylibrarian
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - name: lazylibrarian
        image: lscr.io/linuxserver/lazylibrarian:latest
        securityContext:
          capabilities:
            add:
              - NET_ADMIN
        ports:
          - containerPort: 5299
            name: webui
        env:
        - name: PUID
          value: "1013"
        - name: PGID
          value: "1013"
        - name: TZ
          value: 'Etc/UTC'
        volumeMounts:
        - name: config
          mountPath: /config
        - name: books
          mountPath: /books
        - name: downloads
          mountPath: /downloads
      volumes:
      - name: config
        persistentVolumeClaim:
          claimName: lazylibrarian-config-pvc
      - name: books
        persistentVolumeClaim:
          claimName: lazylibrarian-books-pvc
      - name: downloads
        persistentVolumeClaim:
          claimName: qbittorrent-downloads-pvc



